%define anolis_release 1
%global pypi_name omegaconf
%global pypi_version 2.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        A flexible configuration library

License:        NoBSD-3-Clause
URL:            https://github.com/omry/omegaconf
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  java
BuildRequires:  python3-devel
BuildRequires:  python3dist(antlr4-python3-runtime) >= 4.9
BuildRequires:  python3dist(pyyaml) >= 5.1
BuildRequires:  python3dist(setuptools)

%description
OmegaConf is a hierarchical configuration system, with support for merging configurations from 
multiple sources (YAML config files, dataclasses/objects and CLI arguments) providing a consistent 
API regardless of how the configuration was created.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(antlr4-python3-runtime) >= 4.9
Requires:       python3dist(pyyaml) >= 5.1
%description -n python3-%{pypi_name}
OmegaConf is a hierarchical configuration system, with support for merging configurations from 
multiple sources (YAML config files, dataclasses/objects and CLI arguments) providing a consistent 
API regardless of how the configuration was created.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/pydevd_plugins
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 2.3.0-1
- Initial package.
